// funcion que haya la Cromacidad de una imagen

function IR = HtoCroma(I)
       
    [f,c,b] = size(I);
    IR = zeros(f,c,b);
    
    for fl = 1:f
        for cl = 1:c            
            
            suma = sum(I(fl,cl,:));
            //control de errores
            if suma ==0 then
                suma = 0.00000001;
            end
            
            for canal = 1:b
                IR (fl,cl,canal) = I(fl,cl,canal)/suma;                
            end
                    
        end
    end
endfunction
